<template>
  <div id="book-list">
    <book-tile v-for="book in books" :key="book.key" :book="book" />
  </div>
</template>

<script>
import EventBus from "../services/EventBus.js";
import BookTile from "./BookTile.vue";

export default {
  components: { BookTile },
  data() {
    return {
      books: [],
    };
  },
  mounted() {
    EventBus.on("books.update", (books) => {
      this.books = books;
    });
  },
};
</script>

<style>
div#book-list {
  display: flex;
  justify-content: space-around;
  flex-wrap: wrap;
}
</style>
